| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IFileMgr Class Referenceabstract

`#include <GaudiKernel/IFileMgr.h>`

Inheritance diagram for IFileMgr:
[legend]
Collaboration diagram for IFileMgr:
[legend]

## Public Member Functions
| DeclareInterfaceID (IFileMgr, 1, 0)
virtual StatusCode | regHandler (Io::FileHdlr)=0
virtual StatusCode | deregHandler (const Io::IoTech &)=0
virtual StatusCode | hasHandler (const Io::IoTech &) const =0
virtual StatusCode | getHandler (const Io::IoTech &, Io::FileHdlr &) const =0
virtual StatusCode | getHandler (const std::string &, Io::FileHdlr &) const =0
virtual int | getFileAttr (const std::string &, std::vector< const Io::FileAttr * > &) const =0
virtual StatusCode | getFileAttr (const Io::Fd, const Io::FileAttr *&) const =0
virtual StatusCode | getFileAttr (void *, const Io::FileAttr *&) const =0
virtual void | listHandlers () const =0
virtual void | listFiles () const =0
virtual int | getFiles (std::vector< std::string > &FILES, bool onlyOpen=true) const =0
virtual int | getFiles (std::vector< const Io::FileAttr * > &FILES, bool onlyOpen=true) const =0
virtual int | getFiles (const Io::IoTech &, std::vector< std::string > &FILES, bool onlyOpen=true) const =0
virtual int | getFiles (const Io::IoTech &, std::vector< const Io::FileAttr * > &FILES, bool onlyOpen=true) const =0
virtual int | getFiles (const Io::IoTech &, const Io::IoFlags &, std::vector< std::string > &FILES, bool onlyOpen=true) const =0
virtual int | getFiles (const Io::IoTech &, const Io::IoFlags &, std::vector< const Io::FileAttr * > &FILES, bool onlyOpen=true) const =0
virtual int | getFd (std::vector< Io::Fd > &) const =0
virtual int | getFd (const Io::IoTech &, std::vector< Io::Fd > &) const =0
virtual int | getFd (const Io::IoTech &, const Io::IoFlags &, std::vector< Io::Fd > &) const =0
virtual const std::string & | fname (const Io::Fd &) const =0
virtual const std::string & | fname (void *) const =0
virtual Io::Fd | fd (const std::string &) const =0
virtual Io::Fd | fd (void *fptr) const =0
virtual void * | fptr (const std::string &) const =0
virtual void * | fptr (const Io::Fd &) const =0
virtual int | getLastError (std::string &) const =0
virtual Io::open_t | open (const Io::IoTech &, const std::string &caller, const std::string &fname, const Io::IoFlags &, Io::Fd &, void *&, const std::string &desc, const bool shared=false)=0
virtual Io::open_t | open (const Io::IoTech &, const std::string &caller, const std::string &fname, const Io::IoFlags &, Io::Fd &, const std::string &desc, const bool shared=false)=0
virtual Io::open_t | open (const Io::IoTech &, const std::string &caller, const std::string &fname, const Io::IoFlags &, void *&, const std::string &desc, const bool shared=false)=0
virtual Io::close_t | close (const Io::Fd, const std::string &caller)=0
virtual Io::close_t | close (void *, const std::string &caller)=0
virtual Io::reopen_t | reopen (const Io::Fd, const Io::IoFlags &, const std::string &)=0
virtual Io::reopen_t | reopen (void *, const Io::IoFlags &, const std::string &)=0
virtual StatusCode | regAction (Io::bfcn_action_t, const Io::Action &, const std::string &d="")=0
virtual StatusCode | regAction (Io::bfcn_action_t, const Io::Action &, const Io::IoTech &, const std::string &d="")=0
virtual void | suppressAction (const std::string &)=0
virtual void | suppressAction (const std::string &, const Io::Action &)=0
Public Member Functions inherited from IService
| DeclareInterfaceID (IService, 4, 0)
| InterfaceID. More...
virtual StatusCode | sysInitialize ()=0
| Initialize Service. More...
virtual StatusCode | sysStart ()=0
| Start Service. More...
virtual StatusCode | sysStop ()=0
| Stop Service. More...
virtual StatusCode | sysFinalize ()=0
| Finalize Service. More...
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service. More...
virtual StatusCode | sysRestart ()=0
| Re-start the Service. More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< INamedInterface, IStateful >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from IService
virtual void | setServiceManager (ISvcManager *)=0

## Detailed Description

Definition at line 284 of file IFileMgr.h.

## Member Function Documentation

## ◆ close() [1/2]

virtual Io::close_t IFileMgr::close | ( | const Io::Fd | ,
|  | const std::string & | caller
| ) |  |
| pure virtual

## ◆ close() [2/2]

virtual Io::close_t IFileMgr::close | ( | void * | ,
|  | const std::string & | caller
| ) |  |
| pure virtual

## ◆ DeclareInterfaceID()

IFileMgr::DeclareInterfaceID | ( | IFileMgr | ,
|  | 1 | ,
|  | 0 |
| ) |  |

## ◆ deregHandler()

virtual StatusCode IFileMgr::deregHandler | ( | const Io::IoTech & |  | ) |
| pure virtual

## ◆ fd() [1/2]

virtual Io::Fd IFileMgr::fd | ( | const std::string & |  | ) | const
| pure virtual

## ◆ fd() [2/2]

virtual Io::Fd IFileMgr::fd | ( | void * | fptr | ) | const
| pure virtual

## ◆ fname() [1/2]

virtual const std::string& IFileMgr::fname | ( | const Io::Fd & |  | ) | const
| pure virtual

## ◆ fname() [2/2]

virtual const std::string& IFileMgr::fname | ( | void * |  | ) | const
| pure virtual

## ◆ fptr() [1/2]

virtual void* IFileMgr::fptr | ( | const std::string & |  | ) | const
| pure virtual

## ◆ fptr() [2/2]

virtual void* IFileMgr::fptr | ( | const Io::Fd & |  | ) | const
| pure virtual

## ◆ getFd() [1/3]

virtual int IFileMgr::getFd | ( | std::vector< Io::Fd > & |  | ) | const
| pure virtual

## ◆ getFd() [2/3]

virtual int IFileMgr::getFd | ( | const Io::IoTech & | ,
|  | std::vector< Io::Fd > & |
| ) |  | const
| pure virtual

## ◆ getFd() [3/3]

virtual int IFileMgr::getFd | ( | const Io::IoTech & | ,
|  | const Io::IoFlags & | ,
|  | std::vector< Io::Fd > & |
| ) |  | const
| pure virtual

## ◆ getFileAttr() [1/3]

virtual int IFileMgr::getFileAttr | ( | const std::string & | ,
|  | std::vector< const Io::FileAttr * > & |
| ) |  | const
| pure virtual

## ◆ getFileAttr() [2/3]

virtual StatusCode IFileMgr::getFileAttr | ( | const Io::Fd | ,
|  | const Io::FileAttr *& |
| ) |  | const
| pure virtual

## ◆ getFileAttr() [3/3]

virtual StatusCode IFileMgr::getFileAttr | ( | void * | ,
|  | const Io::FileAttr *& |
| ) |  | const
| pure virtual

## ◆ getFiles() [1/6]

virtual int IFileMgr::getFiles | ( | std::vector< std::string > & | FILES,
|  | bool | onlyOpen = `true`
| ) |  | const
| pure virtual

## ◆ getFiles() [2/6]

virtual int IFileMgr::getFiles | ( | std::vector< const Io::FileAttr * > & | FILES,
|  | bool | onlyOpen = `true`
| ) |  | const
| pure virtual

## ◆ getFiles() [3/6]

virtual int IFileMgr::getFiles | ( | const Io::IoTech & | ,
|  | std::vector< std::string > & | FILES,
|  | bool | onlyOpen = `true`
| ) |  | const
| pure virtual

## ◆ getFiles() [4/6]

virtual int IFileMgr::getFiles | ( | const Io::IoTech & | ,
|  | std::vector< const Io::FileAttr * > & | FILES,
|  | bool | onlyOpen = `true`
| ) |  | const
| pure virtual

## ◆ getFiles() [5/6]

virtual int IFileMgr::getFiles | ( | const Io::IoTech & | ,
|  | const Io::IoFlags & | ,
|  | std::vector< std::string > & | FILES,
|  | bool | onlyOpen = `true`
| ) |  | const
| pure virtual

## ◆ getFiles() [6/6]

virtual int IFileMgr::getFiles | ( | const Io::IoTech & | ,
|  | const Io::IoFlags & | ,
|  | std::vector< const Io::FileAttr * > & | FILES,
|  | bool | onlyOpen = `true`
| ) |  | const
| pure virtual

## ◆ getHandler() [1/2]

virtual StatusCode IFileMgr::getHandler | ( | const Io::IoTech & | ,
|  | Io::FileHdlr & |
| ) |  | const
| pure virtual

## ◆ getHandler() [2/2]

virtual StatusCode IFileMgr::getHandler | ( | const std::string & | ,
|  | Io::FileHdlr & |
| ) |  | const
| pure virtual

## ◆ getLastError()

virtual int IFileMgr::getLastError | ( | std::string & |  | ) | const
| pure virtual

## ◆ hasHandler()

virtual StatusCode IFileMgr::hasHandler | ( | const Io::IoTech & |  | ) | const
| pure virtual

## ◆ listFiles()

virtual void IFileMgr::listFiles | ( |  | ) | const
| pure virtual

## ◆ listHandlers()

virtual void IFileMgr::listHandlers | ( |  | ) | const
| pure virtual

## ◆ open() [1/3]

virtual Io::open_t IFileMgr::open | ( | const Io::IoTech & | ,
|  | const std::string & | caller,
|  | const std::string & | fname,
|  | const Io::IoFlags & | ,
|  | Io::Fd & | ,
|  | void *& | ,
|  | const std::string & | desc,
|  | const bool | shared = `false`
| ) |  |
| pure virtual

## ◆ open() [2/3]

virtual Io::open_t IFileMgr::open | ( | const Io::IoTech & | ,
|  | const std::string & | caller,
|  | const std::string & | fname,
|  | const Io::IoFlags & | ,
|  | Io::Fd & | ,
|  | const std::string & | desc,
|  | const bool | shared = `false`
| ) |  |
| pure virtual

## ◆ open() [3/3]

virtual Io::open_t IFileMgr::open | ( | const Io::IoTech & | ,
|  | const std::string & | caller,
|  | const std::string & | fname,
|  | const Io::IoFlags & | ,
|  | void *& | ,
|  | const std::string & | desc,
|  | const bool | shared = `false`
| ) |  |
| pure virtual

## ◆ regAction() [1/2]

virtual StatusCode IFileMgr::regAction | ( | Io::bfcn_action_t | ,
|  | const Io::Action & | ,
|  | const std::string & | d = `""`
| ) |  |
| pure virtual

## ◆ regAction() [2/2]

virtual StatusCode IFileMgr::regAction | ( | Io::bfcn_action_t | ,
|  | const Io::Action & | ,
|  | const Io::IoTech & | ,
|  | const std::string & | d = `""`
| ) |  |
| pure virtual

## ◆ regHandler()

virtual StatusCode IFileMgr::regHandler | ( | Io::FileHdlr |  | ) |
| pure virtual

## ◆ reopen() [1/2]

virtual Io::reopen_t IFileMgr::reopen | ( | const Io::Fd | ,
|  | const Io::IoFlags & | ,
|  | const std::string & |
| ) |  |
| pure virtual

## ◆ reopen() [2/2]

virtual Io::reopen_t IFileMgr::reopen | ( | void * | ,
|  | const Io::IoFlags & | ,
|  | const std::string & |
| ) |  |
| pure virtual

## ◆ suppressAction() [1/2]

virtual void IFileMgr::suppressAction | ( | const std::string & |  | ) |
| pure virtual

## ◆ suppressAction() [2/2]

virtual void IFileMgr::suppressAction | ( | const std::string & | ,
|  | const Io::Action & |
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IFileMgr.h